diff --git a/gcc/analyzer/region-model.h b/gcc/analyzer/region-model.h
index 313376d0e6d..d0ab2c12829 100644
--- a/gcc/analyzer/region-model.h
+++ b/gcc/analyzer/region-model.h
@@ -2124,31 +290,6 @@ namespace selftest {
 
 using namespace ::selftest;
 
-/* An implementation of region_model_context for use in selftests, which
-   stores any pending_diagnostic instances passed to it.  */
-
-class test_region_model_context : public noop_region_model_context
-{
-public:
-  void warn (pending_diagnostic *d) FINAL OVERRIDE
-  {
-    m_diagnostics.safe_push (d);
-  }
-
-  unsigned get_num_diagnostics () const { return m_diagnostics.length (); }
-
-  void on_unexpected_tree_code (tree t, const dump_location_t &)
-    FINAL OVERRIDE
-  {
-    internal_error ("unhandled tree code: %qs",
-		    t ? get_tree_code_name (TREE_CODE (t)) : "(null)");
-  }
-
-private:
-  /* Implicitly delete any diagnostics in the dtor.  */
-  auto_delete_vec<pending_diagnostic> m_diagnostics;
-};
-
 /* Attempt to add the constraint (LHS OP RHS) to MODEL.
    Verify that MODEL remains satisfiable.  */
 
@@ -2167,13 +308,6 @@ private:
     ASSERT_FALSE (sat);				\
   SELFTEST_END_STMT
 
-/* Implementation detail of the ASSERT_CONDITION_* macros.  */
-
-void assert_condition (const location &loc,
-		       region_model &model,
-		       tree lhs, tree_code op, tree rhs,
-		       tristate expected);
-
 /* Assert that REGION_MODEL evaluates the condition "LHS OP RHS"
    as "true".  */
 
diff --git a/gcc/analyzer/sm-signal.cc b/gcc/analyzer/sm-signal.cc
index f2a7911603f..fd9a5a13fb6 100644
--- a/gcc/analyzer/sm-signal.cc
+++ b/gcc/analyzer/sm-signal.cc
@@ -200,19 +200,6 @@ signal_state_machine::signal_state_machine (logger *logger)
   m_stop = add_state ("stop");
 }
 
-/* Update MODEL for edges that simulate HANDLER_FUN being called as
-   an signal-handler in response to a signal.  */
-
-static void
-update_model_for_signal_handler (region_model *model,
-				 function *handler_fun)
-{
-  gcc_assert (model);
-  /* Purge all state within MODEL.  */
-  *model = region_model ();
-  model->push_frame (handler_fun, NULL, NULL);
-}
-
 /* Update MODEL for edges that simulate HANDLER_FUN being called as
    an signal-handler in response to a signal.  */
 
@@ -236,12 +223,6 @@ public:
     pp_string (pp, "signal delivered");
   }
 
-  void update_model (region_model *model,
-		     const exploded_edge &eedge) FINAL OVERRIDE
-  {
-    update_model_for_signal_handler (model, eedge.m_dest->get_function ());
-  }
-
   void update_model2 (region_model2 *model,
 		      const exploded_edge &eedge) FINAL OVERRIDE
   {
@@ -285,23 +266,16 @@ public:
 					    handler_fun);
 
     program_state state_entering_handler (eg->get_ext_state ());
-    if (state_entering_handler.m_region_model)
-      update_model_for_signal_handler (state_entering_handler.m_region_model,
-				       handler_fun);
-    if (state_entering_handler.m_region_model2)
-      update_model2_for_signal_handler (state_entering_handler.m_region_model2,
-					handler_fun);
-    state_entering_handler.m_checker_states[sm_idx]->set_global_state
-      (m_sm.m_in_signal_handler);
+    update_model2_for_signal_handler (state_entering_handler.m_region_model2,
+				      handler_fun);
     state_entering_handler.m_checker_states2[sm_idx]->set_global_state
       (m_sm.m_in_signal_handler);
 
     exploded_node *dst_enode = eg->get_or_create_node (entering_handler,
 						       state_entering_handler,
-						       src_enode,
-						       NULL);
+						       src_enode);
     if (dst_enode)
-      eg->add_edge (src_enode, dst_enode, NULL, state_change (),
+      eg->add_edge (src_enode, dst_enode, NULL, /*state_change (),*/
 		    new signal_delivery_edge_info_t ());
   }
 
-- 
2.26.2

